/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEjbAccessTimeout.java 6236 2012-04-16 10:40:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.interfaces;

import java.io.Serializable;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbAccessTimeout;

/**
 * This interface represents methods which can be call on
 * ClassAnnotationMetadata, MethodAnnotationMetadata.<br>
 * It manages &#64;{@link javax.ejb.AccessTimeout} annotation.
 * @author Florent Benoit
 */
public interface IEjbAccessTimeout extends Serializable {

    /**
     * @return the access timeout on this class/method.
     */
    IJEjbAccessTimeout getJavaxEjbAccessTimeout();

    /**
     * Sets the access timeout on this class/method.
     * @param jEjbAccessTimeout information on access timeout.
     */
    void setJavaxEjbAccessTimeout(IJEjbAccessTimeout jEjbAccessTimeout);

}
