/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJCommonBean.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.io.Serializable;

/**
 * IJCommonBean.
 * @author Gael Lalire
 */
public interface IJCommonBean extends Serializable {

    /**
     * @return the description.
     */
    String getDescription();

    /**
     * Sets the description.
     * @param description value of description
     */
    void setDescription(final String description);

    /**
     * @return the mapped name (JNDI ?)
     */
    String getMappedName();

    /**
     * Sets the mapped name.
     * @param mappedName the value to set
     */
    void setMappedName(final String mappedName);

    /**
     * @return name of the bean.
     */
    String getName();

    /**
     * Sets the bean name.
     * @param name the bean's name
     */
    void setName(final String name);

}
