/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJEjbSchedule.java 6271 2012-07-10 11:10:15Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.struct;

import java.io.Serializable;

/**
 * Manages &#64;{@link javax.ejb.Schedule} annotation.
 * @author Florent BENOIT
 */
public interface IJEjbSchedule extends Serializable {

    /**
     * @return seconds
     */
    String getSecond();

    /**
     * Sets the seconds
     * @param second the value
     */
    void setSecond(String second);

    /**
     * @return minutes
     */
    String getMinute();

    /**
     * Sets the minute
     * @param minute the value
     */
    void setMinute(String minute);

    /**
     * @return hour
     */
    String getHour();

    /**
     * Sets the hour
     * @param hour the value
     */
    void setHour(String hour);

    /**
     * @return day of month
     */
    String getDayOfMonth();

    /**
     * Sets the day of month
     * @param dayOfMonth the value
     */
    void setDayOfMonth(String dayOfMonth);

    /**
     * @return month
     */
    String getMonth();

    /**
     * Sets the month
     * @param month the value
     */
    void setMonth(String month);

    /**
     * @return day of week
     */
    String getDayOfWeek();

    /**
     * Sets the day of week
     * @param dayOfWeek the value
     */
    void setDayOfWeek(String dayOfWeek);

    /**
     * @return year
     */
    String getYear();

    /**
     * Sets the year
     * @param year the value
     */
    void setYear(String year);

    /**
     * @return timezone
     */
    String getTimezone();

    /**
     * Sets the timezone
     * @param timezone the value
     */
    void setTimezone(String timezone);

    /**
     * @return info used for the timer callback
     */
    String getInfo();

    /**
     * Sets the info
     * @param info the value
     */
    void setInfo(String info);

    /**
     * @return true if schedule is persistent
     */
    boolean isPersistent();

    /**
     * Sets the persistent
     * @param persistent the value
     */
    void setPersistent(boolean persistent);

    /**
     * @return start time
     */
    String getStart();

    /**
     * Sets the start time
     * @param start the value
     */
    void setStart(String start);

    /**
     * @return end time
     */
    String getEnd();

    /**
     * Sets the end time
     * @param end the value
     */
    void setEnd(String end);
}
