/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IInterceptors.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.xml.struct;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author benoitf
 */
public interface IInterceptors extends Serializable {

    /**
     * Name of this element.
     */
    String NAME = "interceptors";

    /**
     * Gets the list of &lt;interceptor&gt; elements.
     * @return list of &lt;interceptor&gt; elements.
     */
    List<IInterceptor> getInterceptorList();

    /**
     * Adds a new &lt;interceptor&gt; element to assembly descriptor.
     * @param interceptor the &lt;interceptor&gt; element
     */
    void addInterceptor(final IInterceptor interceptor);

}
